Поддержка Проблемы и решения Не могу войти в админку

  • День добрый.
    Не был на сайте пару недель. Хотел добавить новость, а в админку зайти не могу.

    (1).В обычном режиме define(‘WP_DEBUG’, false) на странице админки показывает

    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Warning: Parameter 1 to wp_default_styles() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Warning: Cannot modify header information - headers already sent by (output started at /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php:601) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/pluggable.php on line 1171

    А на основном сайте вверху при этом показывает:

    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Warning: Parameter 1 to wp_default_styles() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601

    (2)Поискал в интернете, зашел через ftp и исправил в wp-config на
    define(‘WP_DEBUG’, true);
    define( ‘WP_DEBUG_DISPLAY’, false );
    @ini_set( ‘display_errors’, 0 );

    Получил намного больше:

    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Notice: wp_enqueue_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Warning: Parameter 1 to wp_default_styles() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Notice: add_option was called with an argument that is deprecated since version 2.3 with no alternative available. in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3844
    
    Notice: Функция wp_deregister_script вызвана неправильно. Скрипты и стили можно регистрировать или добавлять в очередь не раньше действий wp_enqueue_scripts, admin_enqueue_scripts или login_enqueue_scripts. Дополнительную информацию можно найти на странице «Отладка в WordPress». (Это сообщение было добавлено в версии 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Notice: Функция wp_register_script вызвана неправильно. Скрипты и стили можно регистрировать или добавлять в очередь не раньше действий wp_enqueue_scripts, admin_enqueue_scripts или login_enqueue_scripts. Дополнительную информацию можно найти на странице «Отладка в WordPress». (Это сообщение было добавлено в версии 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Notice: Функция wp_enqueue_script вызвана неправильно. Скрипты и стили можно регистрировать или добавлять в очередь не раньше действий wp_enqueue_scripts, admin_enqueue_scripts или login_enqueue_scripts. Дополнительную информацию можно найти на странице «Отладка в WordPress». (Это сообщение было добавлено в версии 3.3.) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/functions.php on line 3897
    
    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php on line 601
    
    Warning: Cannot modify header information - headers already sent by (output started at /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/plugin.php:601) in /var/www/u3291259/data/www/zakupki-profstandart.ru/wp-includes/pluggable.php on line 1171

    (3) попробовал переименовать папку plugins — не помогло.

    Вопрос: что и как тут можно исправить?
    До этого сайт работал, ничего в нем не трогал…

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • попробовал переименовать папку plugins — не помогло.

    Проверьте-отключите кеширование.
    Смените тему на дефотную, путём переименования каталога текущей. Дефолтная должна находится рядом.

    После решения проблем обновите ВП. 4.4 — довольно старая версия.

    SeVlad (@sevlad)
    Спасибо, пытаюсь разобраться. Я не программист…

    (1)Проверьте-отключите кеширование.
    — как это сделать через ftp? Как-то поменять .htaccess ?

    (2)Смените тему на дефотную, путём переименования каталога текущей. Дефолтная должна находится рядом.
    — Имеющуюся структура папок, из того что нашел о «темах»:

    wp-content/themes/zakupki-profstandart.ru (это я так понимаю текущая тема?)
    wp-content/themes/index.php
    wp-content/languages/themes/ (и тут файлы типа twentyfifteen-ru_RU.mo, twentyfifteen-ru_RU.po …)
    wp-includes/theme-compat/ (тут 9 файлов php)

    (3) вот это самостоятельно совсем опасаюсь, чтобы окончательно совсем не сломалось… Хотя тут бы для начала починить то что было…

    Опс, а оно взяло и заработало…
    Кто чего и как поправил не знаю, но функционал восстановился… Спасибо за помощь!

    Опс, а оно взяло и заработало…
    Кто чего и как поправил не знаю, но функционал восстановился

    Значит скорее всего кеширование.

    — Имеющуюся структура папок

    В каталоге wp-content/themes/ должна находиться как минимум одна из дефолтных тем (twenty хххх). Если её(/их) там нет — скачайте через админку и пускай лежит.

    вот это самостоятельно совсем опасаюсь, чтобы окончательно совсем не сломалось

    Чем больше Вы тянете, тем больше плодятся проблемы и потом может стать совсем плохо.

    Возможно стоит обратиться к специалистам. Тем более что и с кешем надо разобраться (да и многое другое тоже). А сделать это в рамках форма с «не программистом» (хотя программирование тут вообще никаким боком) наверное нереально.

    И пож, не нужно пинговать (писать ник через @)

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Warning: Parameter 1 to wp_default_scripts() expected to be a reference, value given

    Проблема наблюдается при использовании WordPress 4.6 и более ранних версий совместно с PHP 7.1 или выше.

    Исправлено в WordPress 4.7. При повторении проблемы нужно либо обновить WordPress до актуальной версии, либо переключить PHP на версию 7.0.

    У меня 7.2 на дефолтной теме, без плагинов, Вп версия 4.9 пишет такие ошибки

    arning: Parameter 1 to wp_default_scripts() expected to be a reference, value given in ****./wp-includes/class-wp-hook.php on line 286

    Warning: Parameter 1 to wp_default_styles() expected to be a reference, value given in ****./wp-includes/class-wp-hook.php on line 286

    Warning: Parameter 2 to WPE\Site_Preview::the_posts() expected to be a reference, value given in ****./wp-includes/class-wp-hook.php on line 286

    Модератор Yui

    (@fierevere)

    ゆい

    Jek-fdrv
    https://ru.wordpress.org/support/forum-rules/
    п2

    и да, у меня PHP7.2 с twenty seventeen и другими темами никаких таких ошибок не выдает

Просмотр 7 ответов — с 1 по 7 (всего 7)
  • Тема «Не могу войти в админку» закрыта для новых ответов.